Page MenuHomePhabricator

[PowerPC][AIX]Do not emit xxspltd mnemonic on AIX.
ClosedPublic

Authored by sfertile on Jan 11 2021, 8:12 AM.

Details

Summary

A bug in the system assembler can assemble the xxspltd extended menemonic into the wrong instruction (extracting the wrong element).
Emit the full xxpermdi with all operands to work around the problem.

Diff Detail

Event Timeline

sfertile created this revision.Jan 11 2021, 8:12 AM
sfertile requested review of this revision.Jan 11 2021, 8:12 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 11 2021, 8:12 AM
jsji added a reviewer: Restricted Project.Jan 11 2021, 8:19 AM

Can we try adding Predicates in InstAlias for xxspltd ?

jsji added a comment.Jan 11 2021, 3:13 PM

I have added a Predicates in https://reviews.llvm.org/D94458 for a similar mne, maybe you can rebase this to use that.

I have added a Predicates in https://reviews.llvm.org/D94458 for a similar mne, maybe you can rebase this to use that.

Will do.

sfertile updated this revision to Diff 316962.Jan 15 2021, 8:45 AM

Rebased on trunk.

jsji accepted this revision as: jsji.Jan 15 2021, 8:57 AM

LGTM. Thanks!

This revision is now accepted and ready to land.Jan 15 2021, 8:57 AM
This revision was landed with ongoing or failed builds.Jan 18 2021, 6:26 AM
This revision was automatically updated to reflect the committed changes.